import cdk = require('@aws-cdk/cdk');
/**
 * A policy managed by AWS
 *
 * For this managed policy, you only need to know the name to be able to use it.
 *
 * Some managed policy names start with "service-role/", some start with
 * "job-function/", and some don't start with anything. Do include the
 * prefix when constructing this object.
 */
export declare class AwsManagedPolicy {
    private readonly managedPolicyName;
    private readonly scope;
    constructor(managedPolicyName: string, scope: cdk.IConstruct);
    /**
     * The Arn of this managed policy
     */
    readonly policyArn: string;
}
